> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# CONTROLLER.DEXSCR.GET_ADS.SUMMARY

> DexScreener 유료 광고 목록을 조회합니다



## OpenAPI

````yaml /ko/api-reference/openapi-data-ko.yaml GET /v2/dexscr/{chain}/ads
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 블록체인 관련 작업
  - name: Token
    description: 토큰 관련 작업
  - name: Trade
    description: 거래 관련 작업
  - name: Wallet
    description: 지갑 관련 작업
  - name: Dex
    description: DEX 관련 작업
  - name: Ranking
    description: 랭킹 관련 작업
  - name: DexPool
    description: DEX 풀 관련 작업
  - name: Watchlist
    description: 워치리스트 관련 작업
  - name: KYT
    description: KYT 관련 작업
  - name: Webhook
    description: Webhook 관련 작업
  - name: RedPacket
    description: 레드패킷 관련 작업
  - name: IPFS
    description: IPFS 관련 작업
  - name: DexScreener
    description: DexScreener 관련 작업
paths:
  /v2/dexscr/{chain}/ads:
    get:
      tags:
        - DexScreener
      summary: DexScreener - 광고
      description: DexScreener 유료 광고 목록을 조회합니다
      operationId: get.dexscr.ads
      parameters:
        - name: chain
          in: path
          description: 지원되는 네트워크에 나열된 체인 이름
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: limit
          in: query
          description: 반환할 결과 수
          required: false
          schema:
            type: integer
            format: int64
            default: 20
            maximum: 100
            minimum: 1
          style: form
      responses:
        '200':
          description: 성공 응답
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DexscrAd'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    DexscrAd:
      type: object
      required:
        - chain
        - tokenAddress
      properties:
        adType:
          type:
            - string
            - 'null'
          description: '광고 유형(예: banner)'
        chain:
          type: string
          description: 블록체인 네트워크 식별자
          example: sol
        date:
          type:
            - string
            - 'null'
          description: 광고 시작일
        durationHours:
          type:
            - integer
            - 'null'
          format: int64
          description: 광고 기간(시간)
        impressions:
          type:
            - integer
            - 'null'
          format: int64
          description: 광고 총 노출 수
        tokenAddress:
          type: string
          description: 토큰 컨트랙트 주소
          example: So11111111111111111111111111111111111111112
        url:
          type:
            - string
            - 'null'
          description: DexScreener 토큰 페이지 URL
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````